Uploaded image for project: 'HPCC'
  1. HPCC
  2. HPCC-14477

desdl needs better handling of JAVA compiler mismatches

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 6.4.0
    • Component/s: ESP
    • Labels:

      Description

      When starting the esp, or running into general issues with dynamic esdl, the following message shows up in the esp logs:

      0000003D 2015-11-04 11:35:53.726 22963 22963 "0: DynamicESDL-JavaMethod: : javaembed: java.lang.UnsupportedClassVersionError: EsdlExample/EsdlExampleService : Unsupported major.minor version 52.0"

      This message doesn't tell the user what version is needed in order for the compile to work properly.

      Anthony Fishbeck Kunal Aswani

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                mayx Yanrui Ma
                Reporter:
                cloln Chris Lo
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: